B4J Question [B4X] [XUI] xCustomListView V1.68+

XbNnX_507

Active Member
Licensed User
After updating xCustomListView internal Library to 1.68 i got this error:

java.lang.UnsupportedClassVersionError: b4j/example/customlistview has been compiled by a more recent version of the Java Runtime (class file version 53.0), this version of the Java Runtime only recognizes class file versions up to 52.0

My jdk is jdk1.8.0_202. 32 bits.

Maybe xCustomListView was compiled with java 9+?
Any chance could be recompiled with java 8?

This error happens when i use [XUI] Views too: https://www.b4x.com/android/forum/t...ss-platform-views-and-dialogs.100836/#content

thanks.
 
Last edited:

XbNnX_507

Active Member
Licensed User
For those with the same problem.

Attached xCustomListView compile with jdk1.8
 

Attachments

  • xCustomListView.zip
    12.7 KB · Views: 67
Upvote 0

mangojack

Well-Known Member
Licensed User
I had same error when running XUI B4X Table example last week ,and in attempt to fix updated to Java 11.

Only to discover I had old versions of jFX and XUI Libs . Updating libs and returning to java 8 solved problem.
 
Upvote 0

Erel

Administrator
Staff member
Licensed User
Upvote 0

mangojack

Well-Known Member
Licensed User
I was running latest B4J version .. but somehow had really old versions of jFX and XUI libs in Core libs folder ?? which did not help situation.
I will retry Java update when I return from short camping trip.
 
Upvote 0

rboeck

Well-Known Member
Licensed User
Yesterday i had the same effect - i tried to use an jar file at customers place and got the error message: java.lang.UnsupportedClassVersionError. So i switched back to java8. Is it true, that all customers have to go to java11, before we change?
 
Upvote 0
Top